PDA

View Full Version : ERROR:ddsmoothmenu not working with newer version of jQuery



vshal526
01-23-2012, 11:50 AM
1) Script Title:
ddsmoothmenu not working with newer version of jQuery [1.7.1]
2) Script URL (on DD):
http://www.dynamicdrive.com/dynamicindex1/ddsmoothmenu.htm
3) Describe problem:
If i use jQuery 1.3.2, the dropdown works fine, but .toggle() is not working in my functions.
AND if i use jQuery 1.7.1 the dropdown feature doesn't work anymore but .toggle is working nice.

Please help me!!
I am not able to solve this problem. I cannot understand the correct reason behind this issue...................!!

ddadmin
01-23-2012, 09:37 PM
I just tested the stock version of DD Smooth Menu with jQuery 1.7.1, and it seems to work fine. Is your version an edited/ custom version? I ask this as there is no toggle() calls inside the default version.

vshal526
01-24-2012, 05:55 AM
I just tested the stock version of DD Smooth Menu with jQuery 1.7.1, and it seems to work fine. Is your version an edited/ custom version? I ask this as there is no toggle() calls inside the default version.
I have tested with default versions {1.7.1 & 1.3.2}.

with jQuery 1.7.1 the dropdown feature doesn't work,
& with jQuery 1.3.2(default in ddsmoothmenu) the .toggle feature is not working....

Are u getting the dropdown on hovering the menu [with jQuery latest]?

ddadmin
01-24-2012, 10:52 AM
Are u getting the dropdown on hovering the menu [with jQuery latest]?

Yep. Please post a link to the page on your site that contains the problematic script so we can check it out.

kruno
05-27-2012, 07:54 PM
Hi Guys
Did you solved this problem?
Could you tell me what was the problem with newer jquery?

thanks!

ddadmin
05-28-2012, 10:50 PM
What browser are you using? Testing the script out using jQuery 1.7.2, again, it seems to work fine for me. Exact jQuery reference used:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>